On Thu, Aug 07, 2014 at 10:52:42AM +0200, Sebastiaan Couwenberg wrote:
> On 08/07/2014 06:56 AM, Olly Betts wrote:
> > It looks like grass 7.0.0 will be compatible with wxPython 3.0 - I see
> > in http://trac.osgeo.org/grass/wiki/Release/7.0.0beta-News the entry:
> > 
> > | wxPython 3 compatibility fixes
> > 
> > So updating the package to this version seems the simplest fix.
> In theory this is a good idea. But updating from grass 6.4.3 to 7.0.0
> will require a transition, which we are unlikely to get in shape before
> the freeze in November.

Ah, I didn't appreciate there were rdeps which would need to be updated
for this too.

> Updating from grass 6.4.3 to 6.4.4 is more in the realm of
> possibilities, so we'll need to look into backporting the wxPython 3.0
> changes to that.

I've been working on a script to assist updating code to work with
wxPython3, which might be helpful here if the python code in grass has
changed a lot between 6.4.x and 7.0.0 such that backporting the changes
is difficult:


I tried it on the 6.4.3 package, and with a bit of manual tweaking
the startup wizard works, but the GUI after that doesn't.  I'll send
the debdiff of that in case it's useful.


Pkg-grass-devel mailing list

Reply via email to